package info.bukova.isspst.data;

public class JoinedItem implements FilterableRequirement {
	
	private RequirementItem item;
	private Workgroup workgroup;
	private Workgroup centre;
	private User ownedBy;

	public JoinedItem(RequirementItem item, Workgroup workgroup,
			Workgroup centre, User owner) {
		super();
		this.item = item;
		this.workgroup = workgroup;
		this.centre = centre;
		this.ownedBy = owner;
	}
	
	public JoinedItem(RequirementItem item) {
		super();
		this.item = item;
	}

	public RequirementItem getItem() {
		return item;
	}

	public void setItem(RequirementItem item) {
		this.item = item;
	}

	public Workgroup getWorkgroup() {
		return workgroup;
	}

	public void setWorkgroup(Workgroup workgroup) {
		this.workgroup = workgroup;
	}

	public Workgroup getCentre() {
		return centre;
	}

	public void setCentre(Workgroup centre) {
		this.centre = centre;
	}

	public User getOwnedBy() {
		return ownedBy;
	}

	public void setOwnedBy(User owner) {
		this.ownedBy = owner;
	}

}
